<?php 	/* momo.php, Andreas Forstinger, (c) 2008, www.mobilemoodle.org 	*/
        // This page defines the settings page for MOMO
// to make sure all the default values are correctly set up (also those not changeable) include lib_settings.php
include ($CFG->dirroot . '/momo/lib/lib_settings.php');

// MOMO settings
$temp = new admin_settingpage('momosettings', get_string('config_title','momo'));
$temp->add(new admin_setting_configcheckbox('momo_enabled', get_string('config_enabled', 'momo'), get_string('config_enabled_help', 'momo'), 0));
$temp->add(new admin_setting_configcheckbox('momo_community_enabled', get_string('config_community_enabled', 'momo'), get_string('config_community_enabled_help', 'momo'), 0));

    // get courses for course dropdown
    // ignore site course, we use get_recordset to reduce memory usage
    $result = get_recordset_select('course', 'id > 1 ', null, 'id, shortname, fullname');
    $course_array = array();
    while (!$result->EOF) {
        $course_array[$result->fields['id']] = $result->fields['fullname'] . ' (' .$result->fields['shortname'] . ')';
        $result->MoveNext();
    }
    unset ($result);

$temp->add(new admin_setting_configselect('momo_community_course', get_string('config_community_course', 'momo'),get_string('config_community_course_help', 'momo'),'-1',$course_array));
$temp->add(new admin_setting_configcheckbox('momo_debug_mode', get_string('config_debug', 'momo'), get_string('config_debug_help', 'momo'), 0));

// specific settings for MLE messaging and gateway functionality

$temp->add(new admin_setting_configtext('momo_msg_host', get_string('config_msg_host','momo'), get_string('config_msg_host_help', 'momo'), 'elibera.com', PARAM_RAW));
$temp->add(new admin_setting_configtext('momo_msg_port', get_string('config_msg_port','momo'), get_string('config_msg_port_help', 'momo'), '6644', PARAM_RAW));
$temp->add(new admin_setting_configtext('momo_msg_remote_port', get_string('config_msg_remote_port','momo'), get_string('config_msg_remote_port_help', 'momo'), '6645', PARAM_RAW));
$temp->add(new admin_setting_configcheckbox('momo_public_msg_enabled', get_string('config_public_msg_enabled', 'momo'), get_string('config_public_msg_enabled_help', 'momo'), 0));

$temp->add(new admin_setting_configtext('momo_gw_host', get_string('config_gw_host','momo'), get_string('config_gw_host_help', 'momo'), 'elibera.com', PARAM_RAW));
$temp->add(new admin_setting_configtext('momo_gw_port', get_string('config_gw_port','momo'), get_string('config_gw_port', 'momo'), '6655', PARAM_RAW));
$temp->add(new admin_setting_configcheckbox('momo_public_gw_enabled', get_string('config_public_gw_enabled', 'momo'), get_string('config_public_gw_enabled_help', 'momo'), 0));

$ADMIN->add('misc', $temp);
?>