<?php
/* (c) 2007, Andreas Forstinger, www.mobilemoodle.org */
global $CFG, $USER;

// get courses
$courses = get_my_courses($USER->id, null, null, true);

// get mobile community course (should not be shown in overview)
$community = (!empty($CFG->momo_community_enabled) && !empty($CFG->momo_community_course)) ? $CFG->momo_community_course : 1;

/// output
?>
<ps t="<?php momo_print_string('hd_my_courses') ?>" storeable="false" bo="false" back="index.xml|y">
<pa id="k">
<?php
if(empty($courses)){ // if user is not enrolled in any course
    momo_print_notice(momo_get_string('msg_no_courses'));
}
else{ // user is enrolled to courses
    // counter for paging
    $wrap = $CFG->momo_wrap_limit;
    $count = 1;
   foreach ($courses as $course){
        if($count > $wrap){ // wrap content
            $count = 1;
            momo_print_paging();
        }
        if($course->id != 1 && $course->id != $community){ // we do not want the main site shown as course
            echo(momo_get_course_link($course->id,$course->fullname));
           $count++;
        }
   }
}
?>
<hr/><image type="l" url="<?php momo_print_icon_path('info') ?>"/>
<?php momo_print_string('msg_courses_hint')?>
</pa>
</ps>