<?php 
/* (c) 2007, Andreas Forstinger, www.mobilemoodle.org */
global $CFG, $USER;
require_once ($CFG->dirroot . '/message/lib.php'); // messaging support

// get search type (can either be "contact" or "search"
$type = optional_param('type',null,PARAM_ALPHA);

if($type == 'contact'){ // prepare contactlist
    // get contactlist
    $contacts = get_records_select('message_contacts','userid = ' . $USER->id . ' and blocked=0');
    $contactlist = array();
    foreach($contacts as $contact){
        if(($temp = get_record('user','id',$contact->contactid))!=false){
               $contactlist[] = get_record('user','id',$contact->contactid);
        }
    }
    $contacts = null;
}
else if($type == "search"){ // search for contact
    $query = optional_param("query",null);
    $query = clean_text(trim($query));
    $newsearch = false;
    if($query == null){ // show search form
        $newsearch = true;
    }
    else {
    $results = message_search_users('',$query);
    }

}
?>
<ps t="<?php momo_print_string('hd_msg_choose_recipient') ?>" s="false" bo="false" back="<?php echo(momo_get_back_url())?>">
<pa>
<?php if($type=="contact"){ // select from contactlist ?>
<?php momo_print_header(momo_get_string('lbl_msg_choose_recipient'), 'contactlist') ?>
<?php
    if(empty($contactlist)){
        momo_print_notice(momo_get_string('msg_no_contacts'));
    }
   else{ // show contactlist
       // counter for paging
        $wrap = $CFG->momo_wrap_limit;
        $count = 1;
      foreach($contactlist as $contactlistuser){
        if($count > $wrap){ // wrap content
            $count = 1;
            momo_print_paging();
        }?>
<link type="<?php echo($CFG->momo_mle_server_link) ?>" url="msg/message_new.php&amp;rcpt=<?php echo($contactlistuser->id)?>" dt="l" di="<?php momo_print_icon_path('contact')?>" /> <?php p(momo_truncate($contactlistuser->firstname . ' ' . $contactlistuser->lastname)) ?><br/>
<?php
         $count++;
         }}}
   else { // search user ?>
<?php
    if($newsearch){ // show search form ?>
<?php momo_print_header(momo_get_string('lbl_msg_choose_search'), 'search') ?>
<?php momo_print_string('lbl_msg_recipient') ?><br/>
<textbox id="query" size="20"/>
<button type="u" action="msg/message_recipient.php&amp;type=search" data="00" dt="l" di="<?php momo_print_icon_path('search')?>"> <?php momo_print_string('nav_search') ?><br/>
<image type="l" url="<?php momo_print_icon_path('info')?>"/> <?php momo_print_string('msg_search_user_hint') ?><br/>
<?php  }
    else{ // show search result ?>
<?php momo_print_header(momo_get_string('lbl_msg_choose_recipient'), 'search') ?>
<?php
    if(empty($results)){ // no results
        momo_print_notice(momo_get_string('msg_search_no_results'));
    }
   else{
           // counter for paging
      $wrap = $CFG->momo_wrap_limit;
      $count = 1;
      foreach($results as $result){
            if($count > $wrap){ // wrap content
                $count = 1;
                momo_print_paging();
                } ?>
<link type="<?php echo($CFG->momo_mle_server_link) ?>" url="msg/message_new.php&amp;rcpt=<?php echo($result->id)?>" dt="l" di="<?php momo_print_icon_path('contact')?>" /> <?php p(momo_truncate($result->firstname . ' ' . $result->lastname)) ?><br/>
<?php $count++;
        }
      }}} ?>
</pa>
</ps>