@echo off
setlocal
REM eLibera Server starter-script 1.0
REM --------------------------------------------------------------
REM here starts the basic server-start-up configuration
REM the JAR-file-name of the server
set JAR_NAME=mle_Gateway_Server_1_0.jar
REM maxmimum JAVA VM memory
set XMX=512m
REM startup JAVA VM memory
set XMS=128m
REM the current directory
set CUR_DIR=%~dp0
REM the directory where the configuration files are located, usually in the conf dir of the current directory
set CONFIGURATION_DIR=%CUR_DIR%conf
REM the name of the server
set SERVER_NAME=MLE Gateway Server 1.0
REM directory of the jar file, only change this, if this startup-script is in another directory
set SERVER_DIR=%CUR_DIR%
REM Do not change this value !
set PROP_DIR_CONF_CLASS_PROPERTY=com.elibera.redirect.app.RedirectServer.settingsDIR

REM --------------------------------------------------------------
REM here starts the script
cd %SERVER_DIR%
echo Starting %SERVER_NAME%
@echo on
java -D%PROP_DIR_CONF_CLASS_PROPERTY%="%CONFIGURATION_DIR%" -server -XX:+UseBiasedLocking -XX:+UseParallelGC -Xmx%XMX% -Xms%XMS% -jar %JAR_NAME%  